Bug 1339361 - Backport for api/groups to 5.5.3 request
Summary: Backport for api/groups to 5.5.3 request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.5.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.5.5
Assignee: abellott
QA Contact: Martin Kourim
URL:
Whiteboard:
Depends On: 1337921
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 19:43 UTC by John Prause
Modified: 2017-08-30 01:35 UTC (History)
3 users (show)

Fixed In Version: 5.5.5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1337921
Environment:
Last Closed: 2016-07-26 15:34:46 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 3 abellott 2016-06-20 19:59:26 UTC
This was Backported to 5.5.z

commit 18f4651d04706e14eb85b6bef73337718ad10723

    [api] Group CRUD
    
    - Enabling post/put/patch/delete on /api/groups
    - Refactored/re-using parse_<type> methods
    - Made role/tenant fetches RBAC aware
    - Added filters structure validation in model
    - Added specs
    - PR Review changes
    
    https://trello.com/c/wPzTtz4S/147-api-need-full-crud-on-api-groups
    
    Original PR https://github.com/ManageIQ/manageiq/pull/5611
    Clean Cherry Pick 39c8d9a, 94e535a
    https://bugzilla.redhat.com/show_bug.cgi?id=1337921

Comment 4 abellott 2016-06-20 20:03:44 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=18f4651d04706e14eb85b6bef73337718ad10723

commit 18f4651d04706e14eb85b6bef73337718ad10723
Author:     Alberto Bellotti <abellott@redhat.com>
AuthorDate: Wed Nov 25 11:38:51 2015 -0500
Commit:     Alberto Bellotti <abellott@redhat.com>
CommitDate: Wed May 25 15:35:53 2016 -0400

    [api] Group CRUD
    
    - Enabling post/put/patch/delete on /api/groups
    - Refactored/re-using parse_<type> methods
    - Made role/tenant fetches RBAC aware
    - Added filters structure validation in model
    - Added specs
    - PR Review changes
    
    https://trello.com/c/wPzTtz4S/147-api-need-full-crud-on-api-groups
    
    Original PR https://github.com/ManageIQ/manageiq/pull/5611
    Clean Cherry Pick 39c8d9a, 94e535a
    https://bugzilla.redhat.com/show_bug.cgi?id=1337921

 app/controllers/api_controller.rb         |   1 +
 app/controllers/api_controller/groups.rb  |  48 ++++++
 app/controllers/api_controller/parser.rb  |  52 ++++--
 app/controllers/api_controller/roles.rb   |   2 +-
 app/controllers/api_controller/tenants.rb |  11 +-
 app/models/miq_group.rb                   |   7 +
 config/api.yml                            |   6 +-
 spec/requests/api/groups_spec.rb          | 264 ++++++++++++++++++++++++++++++
 spec/requests/api/tenants_spec.rb         |   3 +-
 9 files changed, 370 insertions(+), 24 deletions(-)
 create mode 100644 app/controllers/api_controller/groups.rb
 create mode 100644 spec/requests/api/groups_spec.rb

Comment 6 Martin Kourim 2016-07-25 16:51:36 UTC
Manually tested creating, editing and deleting of groups.

All related automated tests that verify groups creation and editing and deletion of both single and multiple groups passed.

Comment 8 errata-xmlrpc 2016-07-26 15:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.